CLASS SCOPED_CONN(3)

NAME
boost::signals::scoped_connection - Limits a signal-slot connection lifetime to a particular scope.

SYNOPSIS

// In header: <boost/signals/connection.hpp>
class scoped_connection : private noncopyable   // Exposition only
{
public:
  // construct/copy/destruct
  scoped_connection(const connection&);
  ~scoped_connection();
  // connection management
  void disconnect() const;
  bool connected() const;
};

DESCRIPTION

  scoped_connection public construct/copy/destruct

    1.

    scoped_connection(const connection& other);

    Effects:
        this references the connection referenced by other.

    Throws:
        Will not throw.

    2.

    ~scoped_connection();

    Effects:
        If this->connected(), disconnects the signal-slot connection.

  scoped_connection connection management

    1.

    void disconnect() const;

    Effects:
        If this->connected(), disconnects the signal and slot referenced by this; otherwise, this operation is a no-op.

    Postconditions:
        !this->connected().

    2.

    bool connected() const;

    Returns:
        true if this references a non-NULL connection that is still active (connected), and false otherwise.

    Throws:
        Will not throw.